Summary: Plesk PHP Panda is a multi-version php suite 
Name:    plesk-php-panda
Version: 0.1
Release: 0.art
Source0: README
License: AGPL
URL: http://www.atomicorp.com
Group: Development/Languages
Vendor: Atomicorp
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
BuildArch:      noarch

Requires:  atomic-php54-php atomic-php54-php-bcmath atomic-php54-php-cli atomic-php54-php-common atomic-php54-php-dba atomic-php54-php-devel atomic-php54-php-embedded atomic-php54-php-enchant atomic-php54-php-fpm atomic-php54-php-gd atomic-php54-php-imap atomic-php54-php-interbase atomic-php54-php-intl atomic-php54-php-ldap atomic-php54-php-mbstring atomic-php54-php-mcrypt atomic-php54-php-mssql atomic-php54-php-mysqlnd atomic-php54-php-odbc atomic-php54-php-pdo atomic-php54-php-pgsql atomic-php54-php-process atomic-php54-php-pspell atomic-php54-php-recode atomic-php54-php-snmp atomic-php54-php-soap atomic-php54-php-tidy atomic-php54-php-xml atomic-php54-php-xmlrpc 

Requires: atomic-php55-php atomic-php55-php-bcmath atomic-php55-php-cli atomic-php55-php-common atomic-php55-php-dba atomic-php55-php-debuginfo atomic-php55-php-devel atomic-php55-php-embedded atomic-php55-php-enchant atomic-php55-php-fpm atomic-php55-php-gd atomic-php55-php-gmp atomic-php55-php-imap atomic-php55-php-interbase atomic-php55-php-intl atomic-php55-php-ldap atomic-php55-php-mbstring atomic-php55-php-mcrypt atomic-php55-php-mssql atomic-php55-php-mysqlnd atomic-php55-php-odbc atomic-php55-php-opcache atomic-php55-php-pdo atomic-php55-php-pgsql atomic-php55-php-process atomic-php55-php-pspell atomic-php55-php-recode atomic-php55-php-snmp atomic-php55-php-soap atomic-php55-php-tidy atomic-php55-php-xml atomic-php55-php-xmlrpc 

 
%description
The Plesk PHP Panda (P3) is a suite of multiple PHP versions to an alternate location
Allowing the default system version of PHP to remain in place. It is primarily 
designed for Plesk hosting environments, but can be used on any RPM based system.

* PHP 5.4
* PHP 5.5


%prep

%build

%install
mkdir -p %{buildroot}/usr/share/doc/plesk-php-panda/
install -m0644 %{SOURCE0} %{buildroot}/usr/share/doc/plesk-php-panda/README



%post 
if [ $1 = 1 ]; then
	# Install
	if [ -f /usr/local/psa/bin/php_handler ]; then
		/usr/local/psa/bin/php_handler --add -displayname "5.4" -path "/opt/atomic/atomic-php54/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php54/root/etc/php.ini" -type fastcgi -id "fastcgi-54" # Add the new PHP 5.4 to Plesk

		/usr/local/psa/bin/php_handler --add -displayname "5.5" -path "/opt/atomic/atomic-php55/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php55/root/etc/php.ini" -type fastcgi -id "fastcgi-54" # Add the new PHP 5.4 to Plesk
	fi
  
fi

%preun


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/doc/plesk-php-panda/README

%changelog
* Fri Nov 22 2013 Scott R. Shinn <scott@atomicorp.com> - 0.1-0
- Inital release
